Index: trunk/workshop-foss4g/introduction.rst
===================================================================
--- trunk/workshop-foss4g/introduction.rst	(revision 3)
+++ trunk/workshop-foss4g/introduction.rst	(revision 4)
@@ -33,48 +33,47 @@
 donnÃ©es spatiales.
 
-La seconde gÃ©nÃ©ration des systÃšmes de gestion de donnÃ©es spatiales stoque certaines donnÃ©es dans une base de donnÃ©es relationelle 
-
-Second-generation spatial systems store some data in relational databases (usually the "attribute" or non-spatial parts) but still lack the flexibility afforded with direct integration.  
-
-**Effectivement, les bases de donnÃ©es spatiales sont nÃ©s lorsque les gens ont commencÃ© Ã  considÃ©rer les objet spatiaux comme des objets de base de donnÃ©es.**  
-
-Spatial databases fully integrate spatial data with an object relational database.  The orientation changes from GIS-centric to database-centric.     
+La seconde gÃ©nÃ©ration des systÃšmes de gestion de donnÃ©es spatiales stoquaient certaines donnÃ©es dans une base de donnÃ©es relationelle (habituellement les "attributs" ou autres parties non spatiales) mais ne founissaient pas encore la flÃ©xibilitÃ© offerte par une intÃ©gration complÃšte des donnÃ©es spatiales.
+
+**Effectivement, les bases de donnÃ©es spatiales sont nÃ©s lorsque les gens ont commencÃ© Ã  considÃ©rer les objet spatiaux comme les autres objets d'une base de donnÃ©es .**  
+
+Les bases de donnÃ©es spatiales intÃšgre les donnÃ©es spatiales sous formes d'objets de la base de donnÃ©es relationelle. Le changement opÃ©rÃ© passe d'une vision centrÃ©e sur le SIG Ã  une vision centrÃ©e sur les bases de donnÃ©es.
 
 .. image:: ./introduction/beginning.png
 
-.. note:: A spatial database management system may be used in applications besides the geographic world.  Spatial databases are used to manage data related to the anatomy of the human body, large-scale integrated circuits, molecular structures, and electro-magnetic fields, among others.
-
-
-Spatial Data Types
-------------------
-
-An ordinary database has strings, numbers, and dates. A spatial database adds additional (spatial) types for representing **geographic features**. These spatial data types abstract and encapsulate spatial structures such as boundary and dimension. In many respects, spatial data types can be understood simply as shapes.  
+.. note:: Un systÃšme de gestion de base de donnÃ©es peut Ãªtre utilisÃ©e dans d'autre cadre que celui des SIG. Les bases de donnÃ©es spatiales sont utilisÃ©es dans divers domaines : l'anatomie humaine, les circuits intÃ©grÃ©s de grandes envergures, les structures molÃ©culaires, les champs electomaniÃ©tiques et bien d'autre encore.
+
+
+Les types de donnÃ©es spatiales
+------------------------------
+
+Une base de donnÃ©es classique propose les types chaÃ®nes de caractÃšres et date par exemple. Une base de donnÃ©es spatiales ajoute les types de donnÃ©es (spatiales) pour reprÃ©senter les **entitÃ©s gÃ©ographiques**. Ces types de donnÃ©es spatiales permettre d'accÃ©der Ã  des propriÃ©tÃ©s de l'entitÃ© gÃ©ographique comme les contours ou la dimension. Pour bien des aspects, les types de donnÃ©es spatiales peuvent Ãªtre vu simplement comme des formes.
 
 .. image:: ./introduction/hierarchy.png
    :align: center
 
-Spatial data types are organized in a type hierarchy.  Each sub-type inherits the structure (attributes) and the behavior (methods or functions) of its super-type. 
-
-
-Spatial Indexes and Bounding Boxes
-----------------------------------
-
-An ordinary database provides "access methods" -- commonly known as **indexes** -- to allow for fast and random access to subsets of data.  Indexing for standard types (numbers, strings, dates) is usually done with `B-tree <http://en.wikipedia.org/wiki/B-tree>`_ indexes.  A B-tree partitions the data using the natural sort order to put the data into a hierarchical tree.
-
-The natural sort order of numbers, strings, and dates is simple to determine -- every value is less than, greater than or equal to every other value. But because polygons can overlap, can be contained in one another, and are arrayed in a two-dimensional (or more) space, a B-tree cannot be used to efficiently index them. Real spatial databases provide a "spatial index" that instead answers the question "which objects are within this particular bounding box?".  
-
-A **bounding box** is the smallest size rectangle capable of containing a given feature. 
+Les types de donnÃ©es spatiales sont organisÃ©s par une hierarchie de type. Chaque sous-types hÃ©rite de la structure (les atrributs) et du comportement (les mÃ©thodes et fonctions) de son type supÃ©rieur dans hierarchie.
+
+
+Indexes spatiaux et Ã©tendue
+---------------------------
+
+Une base de donnÃ©es ordinaire fournit des "mÃ©thodes d'accÃšs" -- connues sous le nom d'**index** -- pour permettre un accÃšs efficace et non sÃ©quentiel Ã  un sous ensemble de donnÃ©es. L'indexation des type non gÃ©ographique (nombre, chaÃ®nes de caractÃšres, dates) est habituellement faite Ã  l'aide des index de type ``arbres binaires <http://en.wikipedia.org/wiki/B-tree>>``. Un arbre binaire est un partitionnement des donnÃ©es utilisant l'ordre naturel pour stoquer les donnÃ©es hierarchiequement.
+
+L'ordre naturel des nombres, des chaÃ®nes de caractÃšres et des dates est assez simple Ã  dÃ©terminer -- chaque valeur est infÃ©rieure, plus grande ou Ã©gale Ã  toutes les autres valeurs. Mais, Ã©tant donnÃ© que les polygones peuvent se chevaucher, peuvent Ãªtre contenu dans un autre et sont reprÃ©sentÃ© par un tableau en deux dimensions (ou plus), un arbre binaire ne convient pas pour indexer les valeurs. Les vraies bases de donnÃ©es spatiales fournissent un "index spatial" qui rÃ©pond plutÃŽt Ã  la question : "quel objet se trouve dans une Ã©tendue spÃ©cifique ?"
+
+Une **Ã©tendue** correspond au rectangle de plus petite taille capable de contenir un objet gÃ©ographique.
 
 .. image:: ./introduction/boundingbox.png
    :align: center
 
-Bounding boxes are used because answering the question "is A inside B?" is very computationally intensive for polygons but very fast in the case of rectangles.  Even the most complex polygons and linestrings can be represented by a simple bounding box.
-
-Indexes have to perform quickly in order to be useful. So instead of providing exact results, as B-trees do, spatial indexes provide approximate results. The question "what lines are inside this polygon?" will be instead interpreted by a spatial index as "what lines have bounding boxes that are contained inside this polygon's bounding box?" 
-
-The actual spatial indexes implemented by various databases vary widely. The most common implementation is the `R-tree <http://en.wikipedia.org/wiki/R-tree>`_ (used in PostGIS), but there are also implementations of `Quadtrees <http://en.wikipedia.org/wiki/Quadtree>`_, and `grid-based indexes <http://en.wikipedia.org/wiki/Grid_(spatial_index)>`_ in shipping spatial databases.
-
-Spatial Functions
------------------
+Les Ã©tendues sont utilisÃ©es car rÃ©pondre Ã  la question : "est-ce que A se trouve Ã  'intÃ©rieur de B ? " est une opÃ©ration couteuse pour les polygones mais rapide dans le cas ou ce sont des rectangles. MÃªme des polgones et des lignes complex peuvent Ãªtre reprÃ©sentÃ© par une simple Ã©tendue.
+
+Les index spatiaux doivent rÃ©alisÃ© leur ordanencement rapidement afin d'Ãªtre utile. Donc au lien de fournir des rÃ©sultats extacts, comme le font les arbres binaires, les index spatiaux fournisse des rÃ©sultats approximatifs. La question "quelles lignes sont Ã  l'intÃ©rieur de ce polygone" sera interprÃ©tÃ© par un index spatial comme : "quelles lignes ont une Ã©tendue qui est contenue dans l'Ã©tendue de ce polygone ?"
+
+Les incrÃ©ments spatiaux rÃ©els mis en application par de diverses bases de donnÃ©es varient considÃ©rablement.
+Les index spatiaux actuellement utilisÃ©s par les diffÃ©rents systÃšme de gestion de bases de donnÃ©es varient considÃ©rablement. L'implÃ©mentation la plus commune est l'``arbre R <http://en.wikipedia.org/wiki/R-tree>``_ (utilisÃ© dans PostGIS), mais il existe aussi des implÃ©mentations de type ``Quadtrees <http://en.wikipedia.org/wiki/Quadtree>``_, et des ``indexes basÃ©s sur une grille <http://en.wikipedia.org/wiki/Grid_(spatial_index)>``_.
+
+Fonctions spatiales
+-------------------
 
 For manipulating data during a query, an ordinary database provides **functions** such as concatenating strings, performing hash operations on strings, doing mathematics on numbers, and extracting information from dates.  A spatial database provides a complete set of functions for analyzing geometric components, determining spatial relationships, and manipulating geometries.  These spatial functions serve as the building block for any spatial project.