Index: /trunk/workshop-foss4g/introduction.rst
===================================================================
--- /trunk/workshop-foss4g/introduction.rst	(revision 9)
+++ /trunk/workshop-foss4g/introduction.rst	(revision 10)
@@ -146,43 +146,43 @@
 Au cours de ces derniÃšres annÃ©es le nombre de focntions fournies par PostGIS grandit, mais sa puissance restait limitÃ©. La plupart des fonctions interressantes (ex : ST_Intersects(), ST_Buffer(), ST_Union()) Ã©taient difficile Ã  implÃ©menter. Les Ã©crire en repartant du dÃ©but promettait des annÃ©es de travail.
 
-Heureusement un second projet, la librarie "Geometry Engine, Open Source" or `GEOS <http://trac.osgeo.org/geos>`_ arriva. Cette librairie fournit l'ensemble des algorythmes nÃ©cessaire Ã  l'implÃ©mentation de la spÃ©cification :term:`SFSQL` . En se liant Ã  GEOS, PostGIS fournit alors le support complet de la :term:`SFSQL` depuis la version 0.8.
-
-As PostGIS data capacity grew, another issue surfaced: the representation used to store geometry proved relatively inefficient. For small objects like points and short lines, the metadata in the representation had as much as a 300% overhead. For performance reasons, it was necessary to put the representation on a diet.  By shrinking the metadata header and required dimensions, overhead greatly reduced. In PostGIS 1.0, this new, faster, lightweight representation became the default.
-
-Recent updates of PostGIS have worked on expanding standards compliance, adding support for curve-based geometries and function signatures specified in the ISO :term:`SQL/MM` standard. Through a continued focus on performance,  PostGIS 1.4 significantly improved the speed of geometry testing routines.
-
-Who uses PostGIS?
------------------
-
-For a complete list of case studies, see the `PostGIS case studies <http://www.postgis.org/documentation/casestudies/>`_ page.
+Heureusement un second projet, nommÃ© "Geometry Engine, Open Source" or `GEOS <http://trac.osgeo.org/geos>`_ vit le jour. Cette librairie fournit l'ensemble des algorythmes nÃ©cessaire Ã  l'implÃ©mentation de la spÃ©cification :term:`SFSQL` . En se liant Ã  GEOS, PostGIS fournit alors le support complet de la :term:`SFSQL` depuis la version 0.8.
+
+Comme la capacitÃ© de PostGIS grandit, un autre problÃšme fit surface : la reprÃ©sentation utilisÃ©e pour stoquer les gÃ©omÃ©trie n'Ã©tait pas assez afficace. Pour de petits objets comme les points ou de courtes lignes, les mÃ©tadonnÃ©es dans la reprÃ©sentation occupÃ© plus de 300% supplÃ©mentaires. Pour des raisons de performance, il fut nÃ©cessaire de faire faire un rÃ©gime Ã  la reprÃ©sentation. En rÃ©duisant l'entÃªte des mÃ©tadonnÃ©es et les dimensions requises, l'espace supplÃ©mentaire fut rÃ©duit drastiquement. Dans PostGIS 1.0 cette nouvelle, plus rapide et plus lÃ©gÃšre reprÃ©sentation devint la reprÃ©sentation par dÃ©faut.
+
+Les mises Ã  jour rÃ©centes de PostGIS ont permit d'Ã©ttendre la compatibilitÃ© avec les standard, d'ajouter les gÃ©omÃ©tries courbes et les signatures de fonctions spÃ©cifiÃ©es dans la norme ISO :term:`SQL/MM`. Dans un soucis de performance, PostGIS 1.4 augmenta considÃ©rablement la rapiditÃ© d'exÃ©cution des fonctions de tests sur les gÃ©omÃ©tries.
+
+Qui utilisent PostGIS ?
+-----------------------
+
+Pour une liste complÃšte des cas d'utilisation, consultez la page web : `PostGIS case studies <http://www.postgis.org/documentation/casestudies/>`_.
 
 Institut Geographique National, France
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-IGN is the national mapping agency of France, and uses PostGIS to store the high resolution topographic map of the country, "BDUni". BDUni has more than 100 million features, and is maintained by a staff of over 100 field staff who verify observations and add new mapping to the database daily. The IGN installation uses the database transactional system to ensure consistency during update processes, and a `warm standby system <http://developer.postgresql.org/pgdocs/postgres/warm-standby.html>`_ to maintain uptime in the event of a system failure.
+L'IGN utilise PostGIS pour stoquer des cartes topographiques de grande rÃ©solutions du pays : la "BDUni". La BDUni a plus de 100 millions d'entitÃ©s, et est maintenu par une Ã©quipe de 100 persnone qui vÃ©rifie les observations et ajoute de nouvelles donnÃ©es Ã  la base tout les jours. L'installation de l'IGN utilise le systÃšme transactionel de la base de donnÃ©es pour assurer la consistance durant les phases de mises Ã  jour et utilise un `serveur de rtandby par transfert de journaux <http://docs.postgresql.fr/9.1/warm-standby.html>`_ afin de conserver un Ã©tat cohÃ©rent en cas de dÃ©faillance du systÃšme.
 
 GlobeXplorer
 ~~~~~~~~~~~~
 
-GlobeXplorer is a web-based service providing online access to petabytes of global satellite and aerial imagery. GlobeXplorer uses PostGIS to manage the metadata associated with the imagery catalogue, so queries for imagery first search the PostGIS catalogue to find the location of the relevant images, then pull the images from storage and return them to the client. In building their system, GlobeXplorer tried other spatial databases but eventually settled on PostGIS because of the great combination of price and performance it offers.
-
-What applications support PostGIS?
-----------------------------------
-
-PostGIS has become a widely used spatial database, and the number of third-party programs that support storing and retrieving data using it has increased as well. The `programs that support PostGIS <http://trac.osgeo.org/postgis/wiki/UsersWikiToolsSupportPostgis>`_ include both open source and proprietary software on both server and desktop systems.
-
-The following table shows a list of some of the software that leverages PostGIS:
+GlobeXplorer est un service web fournissant un accÃšs en ligne Ã  une imagerie satellite et photos aÃ©riennes de plusieures petabytes. GlobeXplorer utilise PostGUS poru gÃ©rer les mÃ©tadonnÃ©es associÃ©es avec le catalogue d'images, donc les requÃªtes pour accÃ©der aux images recherche d'abort dans le catalogue PostGIS pour rÃ©cupÃ©rer la localisation des imagess demandÃ©es, puis rÃ©cupÃšre ces images et les retourne au client. Lors du proeccessus de mise en place de leur systÃšme, GlobeXplorer essaya d'autre systÃšme de base de donnÃ©es spatiales mais conserva PostGIS Ã  cause de la combinaison du prix et de la performance qu'il offre.
+
+Quest-ce qu'un application qui supporte PostGIS ?
+-------------------------------------------------
+
+PostGIS est devenu une base de donnÃ©es spatiales communÃ©ment utilisÃ©e, et le nombre d'application tierce qui support le stoquage ou la rÃ©cupÃ©ration des donÃ©es n'a sÃ©ssÃ© d'augmenter. `Les application qui supportent PostGIS<http://trac.osgeo.org/postgis/wiki/UsersWikiToolsSupportPostgis>`_  contiennent Ã  la fois des applications libres et des application propriÃ©taires tournant sur un serveur ou localement depuis votre bureau.
+
+La table suivante propose une liste des logiciels qui tirent profit de PostGIS :
 
 +-------------------------------------------------+----------------------------------------------+
-| Open/Free                                       | Closed/Proprietary                           |
+| Libre/Gratuit                                       | FermÃ©/PropriÃ©taire                           |
 +=================================================+==============================================+
 |                                                 |                                              |   
-| * Loading/Extracting                            | * Loading/Extracting                         |   
+| * Chargement/Extraction                            | * Chargement/Extraction                         |   
 |                                                 |                                              |     
 |   * Shp2Pgsql                                   |   * Safe FME Desktop Translator/Converter    |      
 |   * ogr2ogr                                     |                                              |        
 |   * Dxf2PostGIS                                 |                                              |          
-|                                                 | * Web-Based                                  |         
-| * Web-Based                                     |                                              |             
+|                                                 | * BasÃ© sur web                                  |         
+| * BasÃ© sur le web                                     |                                              |             
 |                                                 |   * Ionic Red Spider (now ERDAS)             |              
 |   * Mapserver                                   |   * Cadcorp GeognoSIS                        |            
@@ -191,6 +191,6 @@
 |   * MapGuide Open Source (using FDO)            |   * MapGuide Enterprise (using FDO)          |   
 |                                                 |   * ESRI ArcGIS Server 9.3+                  |         
-| * Desktop                                       |                                              |           
-|                                                 | * Desktop                                    |               
+| * Logiciels bureautiques                                       |                                              |           
+|                                                 | * Logiciels bureautiques                                    |               
 |   * uDig                                        |                                              |           
 |   * QGIS                                        |   * Cadcorp SIS                              |      