Index: trunk/workshop-foss4g/geometries.rst
===================================================================
--- trunk/workshop-foss4g/geometries.rst	(revision 1)
+++ trunk/workshop-foss4g/geometries.rst	(revision 19)
@@ -1,5 +1,5 @@
 .. _geometries:
 
-Section 8: Geometries
+Partie 8 : les gÃ©ometries
 =====================
 
@@ -7,5 +7,5 @@
 ------------
 
-In the previous :ref:`section <loading_data>`, we loaded a variety of data.  Before we start playing with our data lets have a look at some simpler examples.  In pgAdmin, once again select the **nyc** database and open the SQL query tool.  Paste this example SQL code into the pgAdmin SQL Editor window (removing any text that may be there by default) and then execute.
+Dans :ref:`une partie prÃ©cÃ©dente<loading_data>` nous avons charger diffÃ©rentes donnÃ©es. Avant de commencer Ã  jouer avec, commenÃ§ons par regarder quelques exemples simples. Depuis pgAdmin, choisissez encore la base de donnÃ©e **nyc** et ouvrez l'outils de requÃªtage SQL. Copiez cette exemple de code SQL (aprÃšs avoir supprimer le contenu prÃ©sent dÃ©faut si nÃ©cessaire) puis exÃ©cutez-le.
 
 .. code-block:: sql
@@ -26,19 +26,20 @@
 .. image:: ./geometries/start01.png
 
-The above example CREATEs a table (**geometries**) then INSERTs five geometries: a point, a line, a polygon, a polygon with a hole, and a collection. Finally, the inserted rows are SELECTed and displayed in the Output pane.
-
-Metadata Tables
----------------
-
-In conformance with the Simple Features for SQL (:term:`SFSQL`) specification, PostGIS provides two tables to track and report on the geometry types available in a given database. 
-
-* The first table, ``spatial_ref_sys``, defines all the spatial reference systems known to the database and will be described in greater detail later.  
-* The second table, ``geometry_columns``, provides a listing of all "features" (defined as an object with geometric attributes), and the basic details of those features.  
+L'exemple ci-dessus crÃ©Ã© une table (**geometries**) puis y insert cinq gÃ©omÃ©tries : un point, une ligne, un polygone, un polygone avec un trou, et une collection. Au final, les lignes insÃ©rÃ©es sont sÃ©lectionnÃ©es et affichÃ©es dans le tableau de sortie.
+
+Les tables de mÃ©tadonnÃ©es
+-------------------------
+
+Dans le respect de la spÃ©cification Simple Features for SQL (:term:`SFSQL`), PostGIS fournit deux tables pour rÃ©cupÃ©rer et s'informer sur les types de gÃ©omÃ©tries disponibles dans une base de donnÃ©es spÃ©cifique.
+
+* La premiÃšre table, ``spatial_ref_sys``, dÃ©finit tout les systÃšme de projection connu de la base de donnÃ©es et sera dÃ©crite plus en dÃ©tals plus tard.  
+* La seconde table, ``geometry_columns``, fournit une liste de toutes les "entitÃ©s" (dÃ©finit comme un objet avec un attribut gÃ©omÃ©trique) et les dÃ©tails de base relatives Ã  ces entitÃ©s. 
 
 .. image:: ./geometries/table01.png
 
-In our introductory example, the :command:`Populate_Geometry_Columns()` function finds all the columns in the database that contain geometry and updates the ``geometry_columns`` table to include references to them.  
-
-Lets have a look at the ``geometry_columns`` table in our database.  Paste this command in the Query Tool as before:
+Dans l'exemple founit en introduction, la fonction :command:`Populate_Geometry_Columns()` dÃ©tecte toute les colonnes de la base de donnÃ©es qui contiennent des gÃ©omÃ©tries et met Ã  jour la table ``geometry_columns`` pour y inclure leurs rÃ©fÃ©rences.
+
+Regardons maintenant table ``geometry_columns`` de notre base de donnÃ©es. Copiez cette commande dans la fenÃªtre de requÃªtage :
+
 
 .. code-block:: sql
@@ -48,21 +49,21 @@
 .. image:: ./geometries/start08.png
 
-* ``f_table_catalog``, ``f_table_schema``, and ``f_table_name`` provide the fully qualified name of the feature table containing a given geometry.  Because PostgreSQL doesn't make use of catalogs, ``f_table_catalog`` will tend to be empty.  
-* ``f_geometry_column`` is the name of the column that geometry containing column -- for feature tables with multiple geometry columns, there will be one record for each.  
-* ``coord_dimension`` and ``srid`` define the the dimension of the geometry (2-, 3- or 4-dimensional) and the Spatial Reference system identifier that refers to the ``spatial_ref_sys`` table respectively.  
-* The ``type`` column defines the type of geometry as described below; we've seen Point and Linestring types so far.  
-
-By querying this table, GIS clients and libraries can determine what to expect when retrieving data and can perform any necessary projection, processing or rendering without needing to inspect each geometry.
-
-Representing Real World Objects
--------------------------------
-
-The Simple Features for SQL (:term:`SFSQL`) specification, the original guiding standard for PostGIS development, defines how a real world object is represented.  By taking a continuous shape and digitizing it at a fixed resolution we achieve a passable representation of the object.  SFSQL only handled 2-dimensional representations.  PostGIS has extended that to include 3- and 4-dimensional representations; more recently the SQL-Multimedia Part 3 (:term:`SQL/MM`) specification has officially defined their own representation.  
-
-Our example table contains a mixture of different geometry types. We can collect general information about each object using functions that read the geometry metadata.
-
- * :command:`ST_GeometryType(geometry)` returns the type of the geometry
- * :command:`ST_NDims(geometry)` returns the number of dimensions of the geometry
- * :command:`ST_SRID(geometry)` returns the spatial reference identifier number of the geometry
+* ``f_table_catalog``, ``f_table_schema``, et ``f_table_name`` fournissent le nom complet de la table contenant une gÃ©omÃ©trie donnÃ©e. Ãtant donnÃ© que PostgreSQL n'utilise pas de catalogues, ``f_table_catalog`` est toujouts vide.  
+* ``f_geometry_column`` est le nom de la colonne qui contient la gÃ©omÃ©trie -- pour les tables ayant plusieurs colonnes gÃ©omÃ©triques, il y a un enregistrement dans cette table pour chacune.
+* ``coord_dimension`` et ``srid`` dÃ©finissent respectivement la dimension de la gÃ©omÃ©trie (en 2-, 3- or 4-dimensions) et le systÃšme de rÃ©fÃ©rences spatiales qui fait rÃ©fÃ©rence Ã  la table ``spatial_ref_sys``.  
+* La colonne ``type`` dÃ©finit le type de gÃ©omÃ©trie comme dÃ©crit plus tÃŽt, nous avons dÃ©jÃ  vu les points et les lignes.  
+
+En interrogeant cette table, les clients SIG et les libraires peuvent dÃ©terminer quoi attendre lors de la rÃ©cupration des donnÃ©es et peuvent rÃ©aliser les opÃ©ration de reprojection, transformation ou rendu sans avoir a inspecter chaque gÃ©omÃ©trie.
+
+RÃ©prÃ©senter des objets du mode rÃ©el
+-----------------------------------
+
+La spÃ©cification Simple Features for SQL (:term:`SFSQL`), le standard ayant guidÃ© le dÃ©veloppement de PostGIS, dÃ©finit comment les objets du monde rÃ©el doivent Ãªtre reprÃ©sentÃ©s. En considÃ©rant une forme continue Ã  une seule rÃ©solution fixe, nous obtenu un piÃštre reprÃ©sentation des objets. SFSQL considÃšre uniquement les reprÃ©sentations en 2 dimensions. PostGIS a Ã©tendu cela en ajoutant les reprÃ©sentation en 3 et 4 dimensions, plus rÃ©cemment la spÃ©cification SQL-Multimedia Part 3 (:term:`SQL/MM`) a officiellement dÃ©finit sa propre reprÃ©senation.
+
+Notre table exemple contient diffÃ©rents types de gÃ©omÃ©tries Nous pouvons rÃ©cupÃ©rer les informations de chaque objets en utilisant les fonctions qui lisent les mÃ©tadonnÃ©es de la gÃ©omÃ©trie.
+
+ * :command:`ST_GeometryType(geometry)` retourne le type de la gÃ©omÃ©trie
+ * :command:`ST_NDims(geometry)` retourne le nombre de dimension d'une gÃ©omÃ©trie
+ * :command:`ST_SRID(geometry)` retourne l'identifiant de rÃ©fÃ©rence spatiale de la gÃ©omÃ©trie
 
 .. code-block:: sql
@@ -83,11 +84,11 @@
 
 
-Points
-~~~~~~
+Les points
+~~~~~~~~~~~
 
 .. image:: ./introduction/points.png
    :align: center
 
-A spatial **point** represents a single location on the Earth.  This point is represented by a single coordinate (including either 2-, 3- or 4-dimensions).  Points are used to represent objects when the exact details, such as shape and size, are not important at the target scale.  For example, cities on a map of the world can be described as points, while a map of a single state might represent cities as polygons.  
+Un **point** spatiale reprÃ©sente une localisation unique sur la Terre. Ce point est reprÃ©sentÃ© par une seule coordonnÃ©e (incluant soit 2, 3 ou 4 dimensions). Les points sont utilisÃ©s pour reprÃ©senter des objets lorsque le dÃ©tails exact du contour n'est pas important Ã  une Ã©chelle donnÃ©e. Par exemple, les villes sur une carte du monde pourraient Ãªtre dÃ©crite sous la forme de points alors qu'une carte rÃ©gionale utiliserait une reprÃ©sentation polygonale des villes.
 
 .. code-block:: sql
@@ -101,10 +102,10 @@
   POINT(0 0)
 
-Some of the specific spatial functions for working with points are:
-
- * :command:`ST_X(geometry)` returns the X ordinate
- * :command:`ST_Y(geometry)` returns the Y ordinate
-
-So, we can read the ordinates from a point like this:
+Ceraints des fonctions spÃ©cifiques pour travailler avec les points sont :
+
+ * :command:`ST_X(geometry)` retourne la composante X
+ * :command:`ST_Y(geometry)` retourne la composante Y 
+
+Donc, nous pouvons lire les coordonnÃ©es d'un point de la maniÃšre suivante :
 
 .. code-block:: sql
@@ -114,5 +115,5 @@
     WHERE name = 'Point';
 
-The New York City subway stations (``nyc_subway_stations``) table is a data set represented as points. The following SQL query will return the geometry associated with one point (in the :command:`ST_AsText` column).
+La table des stations de mÃ©tros de la ville de New York  (``nyc_subway_stations``) est un ensemble de donnÃ©es reprÃ©sentÃ© sous la forme de points. La requÃªte SQL suivante reverra la gÃ©omÃ©trie associÃ©e Ã  un point (dans la colonne :command:`ST_AsText`).
 
 .. code-block:: sql
@@ -123,5 +124,5 @@
 
 
-Linestrings
+Les lignes 
 ~~~~~~~~~~~
 
@@ -129,9 +130,9 @@
    :align: center
 
-A **linestring** is a path between locations.  It takes the form of an ordered series of two or more points.  Roads and rivers are typically represented as linestrings.  A linestring is said to be **closed** if it starts and ends on the same point.  It is said to be **simple** if it does not cross or touch itself (except at its endpoints if it is closed).  A linestring can be both **closed** and **simple**.
-
-The street network for New York (``nyc_streets``) was loaded earlier in the workshop.  This dataset contains details such as name, and type.  A single real world street may consist of many linestrings, each representing a segment of road with different attributes.
-
-The following SQL query will return the geometry associated with one linestring (in the :command:`ST_AsText` column).
+Une **ligne** est un chemin entre plusieurs points. Elle prend la forme d'un tableay ordonnÃ© de deux (ou plus) points. Les routes et les riviÃšres sont tipyquement reprÃ©sentÃ© sous la forme de lignes. Une ligne est dire **fermÃ©e** si elle commence et se fini en un mÃªme point. Elle est dite **simple** si elle ne se coupe pas ni se touche elle-mÃªme (sauf Ã  ses extrÃ©mitÃ©s si elle est fermÃ©e). Une ligne peut Ãªtre Ã  la fois **fermÃ©e** et **simple**.
+
+Le rÃ©seau des rues de New York (``nyc_streets``) a Ã©tÃ© chargÃ© plus tÃŽt. Cet ensemble de donnÃ©es contient les dÃ©tails comme le nom et le type. Une rue du monde rÃ©elle pourrait Ãªtre constituÃ©e de plusieurs lignes, chacune reprÃ©sentant une file de la avec diffÃ©rents attributs.
+
+La requÃªte SQL suivante retourne la gÃ©omÃ©trie associÃ©e Ã  une ligne (dans la colonne :command:`ST_AsText`) :
 
 .. code-block:: sql
@@ -145,12 +146,12 @@
   LINESTRING(0 0, 1 1, 2 1, 2 2)
 
-Some of the specific spatial functions for working with linestrings are:
-
- * :command:`ST_Length(geometry)` returns the length of the linestring
- * :command:`ST_StartPoint(geometry)` returns the first coordinate as a point
- * :command:`ST_EndPoint(geometry)` returns the last coordinate as a point
- * :command:`ST_NPoints(geometry)` returns the number of coordinates in the linestring
-
-So, the length of our linestring is:
+Les fonctions spatiales permettant de travailler avec les lignes sont les suivantes :
+
+ * :command:`ST_Length(geometry)` retourne la longueur d'une ligne
+ * :command:`ST_StartPoint(geometry)` retourne le premier point d'une ligne
+ * :command:`ST_EndPoint(geometry)` retourne le denier point d'une ligne
+ * :command:`ST_NPoints(geometry)` retourne le nombre de points dans une ligne
+
+Donc, la longueur de notre ligne est :
 
 .. code-block:: sql
@@ -165,15 +166,15 @@
 
 
-Polygons
-~~~~~~~~
+Les polygones
+~~~~~~~~~~~~~~
 
 .. image:: ./introduction/polygons.png
   :align: center
 
-A polygon is a representation of an area.  The outer boundary of the polygon is represented by a ring.  This ring is a linestring that is both closed and simple as defined above.  Holes within the polygon are also represented by rings.
-
-Polygons are used to represent objects whose size and shape are important.  City limits, parks, building footprints or bodies of water are all commonly represented as polygons when the scale is sufficiently high to see their area.  Roads and rivers can sometimes be represented as polygons.
-
-The following SQL query will return the geometry associated with one linestring (in the :command:`ST_AsText` column).
+Un polygone est reprÃ©sentÃ© comme une zone. Le contour externe du polygone est reprÃ©sentÃ© par une ligne simple et fermÃ©e. Les trous sont reprÃ©sentÃ© de la mÃªme maniÃšre.
+
+Les polygones sont utiliser pour reprÃ©senter les objets dont les tailles et la forme sont importants. Les limites de villes, les parks, les batiments ou les cours d'eau sont habituellement reprÃ©sentÃ© par des polygones lorsque l'Ã©chelle est suffisament Ã©levÃ©e pour voir distinguer leurs zones. Les routes et les riviÃšres peuvent parfois Ãªtre reprÃ©sentÃ© comme des polygones.
+
+La requÃªte SQL suivante retournera la gÃ©omÃ©trie associÃ©e Ã  un polygon (dans la colonne :command:`ST_AsText`).
 
 .. code-block:: sql
@@ -185,5 +186,5 @@
 .. note::
 
-  Rather than using an ``=`` sign in our ``WHERE`` clause, we are using the ``LIKE`` operator to carry out a string matching operation. You may be used to the ``*`` symbol as a "glob" for pattern matching, but in SQL the ``%`` symbol is used, along with the ``LIKE`` operator to tell the system to do globbing.
+  PlutÃŽt que d'utiliser le signe ``=`` dans notre clause ``WHERE``, nous avons utilisÃ© l'opÃ©rateur ``LIKE`` pour pouvoir dÃ©finir notre comparaison. Vous auriez sans doute voulu utiliser le symbole ``*`` pour exprimer "n'importe quelle valeur" mais en SQL vous devez utiliser : ``%`` et l'opÃ©rateur ``LIKE`` pour informer le systÃšme que cette comparaison doit Ãªtre possible.
 
 ::
@@ -192,17 +193,17 @@
  POLYGON((0 0, 10 0, 10 10, 0 10, 0 0),(1 1, 1 2, 2 2, 2 1, 1 1))
 
-The first polygon has only one ring. The second one has an interior "hole". Most graphics systems include the concept of a "polygon", but GIS systems are relatively unique in allowing polygons to explicitly have holes.
+Le premier polygon a seulement une ligne. Le second a un "trou". La plupart des systÃšmes de rendu graphique supportent le concept de "polygone", mais les systÃšme SIG sont les seuls a accepter que les polygones puisse contenir des trous.
 
 .. image:: ./screenshots/polygons.png
 
-Some of the specific spatial functions for working with polygons are:
-
- * :command:`ST_Area(geometry)` returns the area of the polygons
- * :command:`ST_NRings(geometry)` returns the number of rings (usually 1, more of there are holes)
- * :command:`ST_ExteriorRing(geometry)` returns the outer ring as a linestring
- * :command:`ST_InteriorRingN(geometry,n)` returns a specified interior ring as a linestring
- * :command:`ST_Perimeter(geometry)` returns the length of all the rings
-
-We can calculate the area of our polygons using the area function:
+Certaines des fonctions spatiales spÃ©cifique de traitement des polygones sont :
+
+ * :command:`ST_Area(geometry)` retourne l'aire de polygones
+ * :command:`ST_NRings(geometry)` retourne le nombre de contour (habituellement 1, plus lorsqu'il y a des trous)
+ * :command:`ST_ExteriorRing(geometry)` rentourne le contour extÃ©rieur
+ * :command:`ST_InteriorRingN(geometry,n)` retourne le contour intÃ©rieur numÃ©ro n
+ * :command:`ST_Perimeter(geometry)` retourne la longueur de tout les contours
+
+Nous pouvons calculer l'aire de nos polygones en utilisant la fonction area :
 
 .. code-block:: sql
@@ -217,21 +218,21 @@
   PolygonWithHole    99
 
-Note that the polygon with a hole has an area that is the area of the outer shell (a 10x10 square) minus the area of the hole (a 1x1 square).
-
-Collections
-~~~~~~~~~~~
-
-There are four collection types, which group multiple simple geometries into sets.  
-
- * **MultiPoint**, a collection of points
- * **MultiLineString**, a collection of linestrings
- * **MultiPolygon**, a collection of polygons
- * **GeometryCollection**, a heterogeneous collection of any geometry (including other collections)
-
-Collections are another concept that shows up in GIS software more than in generic graphics software. They are useful for directly modeling real world objects as spatial objects. For example, how to model a lot that is split by a right-of-way? As a **MultiPolygon**, with a part on either side of the right-of-way.
+Remarquez que le polygone contenant un trou a une aire Ã©gale Ã  l'aire du contour externe (un carrÃ© de 10 sur 10) moins l'aire du trou (un carrÃ© de 1 sur 1).
+
+Les collections
+~~~~~~~~~~~~~~~~ 
+
+Il y a quatre types de collections, qui regroupe ensembles plusieurs gÃ©omÃ©tries simples.
+
+ * **MultiPoint**, une collection de points
+ * **MultiLineString**, une collection de lignes
+ * **MultiPolygon**, une collection de polygones
+ * **GeometryCollection**, une collections hÃ©tÃ©rogÃšne de n'importe quelle gÃ©omÃ©trie (dont d'autre collections)
+
+Les collections sont un concept prÃ©sents dans les logiciels SIG  plus que dans les application de rendu graphique gÃ©nÃ©rique. Elles sont utiles pour directement modeler  les objets du monde rÃ©el comme des objet spatiaux. Par exemple, comment modÃ©liser une parcelle qui Ã© coupÃ©e par un chemin ? Comme un **MultiPolygon**, ayant une partie de chaque cotÃ© du chemin.
 
 .. image:: ./screenshots/collection2.png
 
-Our example collection contains a polygon and a point:
+Notre collection exemple contient un polygon et un point :
 
 .. code-block:: sql
@@ -247,15 +248,15 @@
 .. image:: ./screenshots/collection.png
 
-Some of the specific spatial functions for working with collections are:
-
- * :command:`ST_NumGeometries(geometry)` returns the number of parts in the collection
- * :command:`ST_GeometryN(geometry,n)` returns the specified part
- * :command:`ST_Area(geometry)` returns the total area of all polygonal parts
- * :command:`ST_Length(geometry)` returns the total length of all linear parts
-
-
-
-Geometry Input and Output
--------------------------
+Certaines des fonctions spatiales spÃ©cifiques Ã  la manipulation des collections sont :
+
+ * :command:`ST_NumGeometries(geometry)` retourne le nombre de composantes d'une collection
+ * :command:`ST_GeometryN(geometry,n)` retourne une composante spÃ©cifique
+ * :command:`ST_Area(geometry)` retourne l'aire totale des composantes de types polygones
+ * :command:`ST_Length(geometry)` retourne la longueur totale des composantes de types lignes
+
+
+
+EntrÃ© / Sortie des gÃ©omÃ©tries
+-----------------------------
 
 Within the database, geometries are stored on disk in a format only used by the PostGIS program. In order for external programs to insert and retrieve useful geometries, they need to be converted into a format that other applications can understand. Fortunately, PostGIS supports emitting and consuming geometries in a large number of formats: