Index: /trunk/workshop-foss4g/geometries.rst
===================================================================
--- /trunk/workshop-foss4g/geometries.rst	(revision 19)
+++ /trunk/workshop-foss4g/geometries.rst	(revision 20)
@@ -260,37 +260,37 @@
 -----------------------------
 
-Within the database, geometries are stored on disk in a format only used by the PostGIS program. In order for external programs to insert and retrieve useful geometries, they need to be converted into a format that other applications can understand. Fortunately, PostGIS supports emitting and consuming geometries in a large number of formats:
-
- * Well-known text (:term:`WKT`)
- 
-   * :command:`ST_GeomFromText(text)` returns ``geometry``
-   * :command:`ST_AsText(geometry)` returns ``text``
-   * :command:`ST_AsEWKT(geometry)` returns ``text``
-   
- * Well-known binary (:term:`WKB`)
- 
-   * :command:`ST_GeomFromWKB(bytea)` returns ``geometry``
-   * :command:`ST_AsBinary(geometry)` returns ``bytea``
-   * :command:`ST_AsEWKB(geometry)` returns ``bytea``
+Dans la base de donnÃ©es, les gÃ©omÃ©tries sont stoquÃ©es dans un format utilisÃ© uniquement par le programme PostGIS. Afin que des programmes externes puissent insÃ©rer et rÃ©cupÃ©rer les donnÃ©es utiles, elles ont besoin d'Ãªtre converties dans un format compris par l'application. Heureusement, PostGIS supporte un grand nombre de formats en entrÃ©e et en sortie :
+
+ * Format texte bien connu (Well-known text :term:`WKT`)
+ 
+   * :command:`ST_GeomFromText(text)` retourne une ``geometry``
+   * :command:`ST_AsText(geometry)` retourne le ``texte``
+   * :command:`ST_AsEWKT(geometry)` retourne le ``texte``
+   
+ * Format binaire bien connu (Well-known binary :term:`WKB`)
+ 
+   * :command:`ST_GeomFromWKB(bytea)` retourne ``geometry``
+   * :command:`ST_AsBinary(geometry)` retourne ``bytea``
+   * :command:`ST_AsEWKB(geometry)` retourne ``bytea``
    
  * Geographic Mark-up Language (:term:`GML`)
  
-   * :command:`ST_GeomFromGML(text)` returns ``geometry``
-   * :command:`ST_AsGML(geometry)` returns ``text``
+   * :command:`ST_GeomFromGML(text)` retourne ``geometry``
+   * :command:`ST_AsGML(geometry)` retourne ``text``
    
  * Keyhole Mark-up Language (:term:`KML`)
  
-   * :command:`ST_GeomFromKML(text)` returns ``geometry``
-   * :command:`ST_AsKML(geometry)` returns ``text``
+   * :command:`ST_GeomFromKML(text)` retourne ``geometry``
+   * :command:`ST_AsKML(geometry)` retourne ``text``
    
  * :term:`GeoJSON`
  
-   * :command:`ST_AsGeoJSON(geometry)` returns ``text``
+   * :command:`ST_AsGeoJSON(geometry)` retourne ``text``
    
  * Scalable Vector Graphics (:term:`SVG`)
  
-   * :command:`ST_AsSVG(geometry)` returns ``text``
- 
-The following SQL query shows an example of :term:`WKB` representation (the call to :command:`encode()` is required to convert the binary output into an ASCII form for printing):
+   * :command:`ST_AsSVG(geometry)` retourne ``text``
+ 
+La requÃªte SQL suivante montre un exemple de reprÃ©sentation en :term:`WKB` (l'appel Ã  :command:`encode()` est requis pour convertir le format binaire en ASCII pour l'afficher) :
 
 .. code-block:: sql
@@ -302,9 +302,9 @@
 .. image:: ./geometries/represent-04.png
 
-For the purposes of this workshop we will continue to use WKT to ensure you can read and understand the geometries we're viewing.  However, most actual processes, such as viewing data in a GIS application, transferring data to a web service, or processing data remotely, WKB is the format of choice.  
-
-Since WKT and WKB were defined in the  :term:`SFSQL` specification, they do not handle 3- or 4-dimensional geometries.  For these cases PostGIS has defined the Extended Well Known Text (EWKT) and Extended Well Known Binary (EWKB) formats.  These provide the same formatting capabilities of WKT and WKB with the added dimensionality.
-
-Here is an example of a 3D linestring in WKT:
+Dans le reste de ces travaux pratiques, nous utiliserons principalement le format WKT pour que vous puissiez lire et comprendre les gÃ©omÃ©tries que nous voyons. NÃ©anmoins, pour la plupart des traitement actuels, comme la visualisation des donnÃ©es dans une application SIG, le transfert de donnÃ©es Ã  des services web, ou l'exÃ©cution distante de traitements, le format WKB est un format de choix.
+
+Puisque le WKT et le WKB sont dÃ©finit dans la spÃ©cification :term:`SFSQL`, elles ne prennent pas en compte les gÃ©omÃ©tries Ã  3 ou 4 dimensions. C'est pour cette raison que PostGIS dÃ©finit les formats Extended Well Known Text (EWKT) et Extended Well Known Binary (EWKB). Cela permet de gÃ©rer de faÃ§on similaire aux formats WKT et WKB les dimensions ajoutÃ©es.
+
+Voici un exemple de ligne 3D au format WKT :
 
 .. code-block:: sql
@@ -321,5 +321,5 @@
 .. image:: ./geometries/represent-06.png
 
-In addition to emitters for the various forms (WKT, WKB, GML, KML, JSON, SVG), PostGIS also has consumers for four (WKT, WKB, GML, KML). Most applications use the WKT or WKB geometry creation functions, but the others work too. Here's an example that consumes GML and output JSON:
+En plus de pouvoir gÃ©nÃ©rer les diffÃ©rents formats en sortie (WKT, WKB, GML, KML, JSON, SVG), PostGIS permet aussi de lire 4 de ces formats (WKT, WKB, GML, KML). La plupart des application utilisent des fonctions crÃ©ant des gÃ©omÃ©tries Ã  l'aide du format WKT ou WKB, mais les autres marchent aussi. Voici un exemple qui lit du GML et retourne du JSON :
 
 .. code-block:: sql
@@ -329,64 +329,63 @@
 .. image:: ./geometries/represent-07.png
 
-Function List
--------------
-
-`Populate_Geometry_Columns <http://postgis.org/docs/Populate_Geometry_Columns.html>`_: Ensures geometry columns have appropriate spatial constraints and exist in the geometry_columns table..
-
-`ST_Area <http://postgis.org/docs/ST_Area.html>`_: Returns the area of the surface if it is a polygon or multi-polygon. For "geometry" type area is in SRID units. For "geography" area is in square meters.
-
-`ST_AsText <http://postgis.org/docs/ST_AsText.html>`_: Returns the Well-Known Text (WKT) representation of the geometry/geography without SRID metadata.
-
-`ST_AsBinary <http://postgis.org/docs/ST_AsBinary.html>`_: Returns the Well-Known Binary (WKB) representation of the geometry/geography without SRID meta data.
-
-`ST_EndPoint <http://postgis.org/docs/ST_EndPoint.html>`_: Returns the last point of a LINESTRING geometry as a POINT.
-
-`ST_AsEWKB <http://postgis.org/docs/ST_AsEWKB.html>`_: Returns the Well-Known Binary (WKB) representation of the geometry with SRID meta data.
-
-`ST_AsEWKT <http://postgis.org/docs/ST_AsEWKT.html>`_: Returns the Well-Known Text (WKT) representation of the geometry with SRID meta data.
-
-`ST_AsGeoJSON <http://postgis.org/docs/ST_AsGeoJSON.html>`_: Returns the geometry as a GeoJSON element.
-
-`ST_AsGML <http://postgis.org/docs/ST_AsGML.html>`_: Returns the geometry as a GML version 2 or 3 element.
-
-`ST_AsKML <http://postgis.org/docs/ST_AsKML.html>`_: Returns the geometry as a KML element. Several variants. Default version=2, default precision=15.
-
-`ST_AsSVG <http://postgis.org/docs/ST_AsSVG.html>`_: Returns a Geometry in SVG path data given a geometry or geography object.
-
-`ST_ExteriorRing <http://postgis.org/docs/ST_ExteriorRing.html>`_: Returns a line string representing the exterior ring of the POLYGON geometry. Return NULL if the geometry is not a polygon. Will not work with MULTIPOLYGON
-
-`ST_GeometryN <http://postgis.org/docs/ST_GeometryN.html>`_: Returns the 1-based Nth geometry if the geometry is a GEOMETRYCOLLECTION, MULTIPOINT, MULTILINESTRING, MULTICURVE or MULTIPOLYGON. Otherwise, return NULL.
-
-`ST_GeomFromGML <http://postgis.org/docs/ST_GeomFromGML.html>`_: Takes as input GML representation of geometry and outputs a PostGIS geometry object.
-
-`ST_GeomFromKML <http://postgis.org/docs/ST_GeomFromKML.html>`_: Takes as input KML representation of geometry and outputs a PostGIS geometry object
-
-`ST_GeomFromText <http://postgis.org/docs/ST_GeomFromText.html>`_: Returns a specified ST_Geometry value from Well-Known Text representation (WKT).
-
-`ST_GeomFromWKB <http://postgis.org/docs/ST_GeomFromWKB.html>`_: Creates a geometry instance from a Well-Known Binary geometry representation (WKB) and optional SRID.
-
-`ST_GeometryType <http://postgis.org/docs/ST_GeometryType.html>`_: Returns the geometry type of the ST_Geometry value.
-
-`ST_InteriorRingN <http://postgis.org/docs/ST_InteriorRingN.html>`_: Returns the Nth interior linestring ring of the polygon geometry. Return NULL if the geometry is not a polygon or the given N is out of range.
-
-`ST_Length <http://postgis.org/docs/ST_Length.html>`_: Returns the 2d length of the geometry if it is a linestring or multilinestring. geometry are in units of spatial reference and geography are in meters (default spheroid)
-
-`ST_NDims <http://postgis.org/docs/ST_NDims.html>`_: Returns coordinate dimension of the geometry as a small int. Values are: 2,3 or 4.
-
-`ST_NPoints <http://postgis.org/docs/ST_NPoints.html>`_: Returns the number of points (vertexes) in a geometry.
-
-`ST_NRings <http://postgis.org/docs/ST_NRings.html>`_: If the geometry is a polygon or multi-polygon returns the number of rings.
-
-`ST_NumGeometries <http://postgis.org/docs/ST_NumGeometries.html>`_: If geometry is a GEOMETRYCOLLECTION (or MULTI*) returns the number of geometries, otherwise return NULL.
-
-`ST_Perimeter <http://postgis.org/docs/ST_Perimeter.html>`_: Returns the length measurement of the boundary of an ST_Surface or ST_MultiSurface value. (Polygon, Multipolygon)
-
-`ST_SRID <http://postgis.org/docs/ST_SRID.html>`_: Returns the spatial reference identifier for the ST_Geometry as defined in spatial_ref_sys table.
-
-`ST_StartPoint <http://postgis.org/docs/ST_StartPoint.html>`_: Returns the first point of a LINESTRING geometry as a POINT.
-
-`ST_X <http://postgis.org/docs/ST_X.html>`_: Returns the X coordinate of the point, or NULL if not available. Input must be a point.
-
-`ST_Y <http://postgis.org/docs/ST_Y.html>`_: Returns the Y coordinate of the point, or NULL if not available. Input must be a point.
-
-
+Liste des fonctions
+-------------------
+
+`Populate_Geometry_Columns <http://postgis.org/docs/Populate_Geometry_Columns.html>`_: s'assure que les colonnes gÃ©omÃ©triques on les contraintes spatiales appropriÃ©es et sont prÃ©sentes dans la table  geometry_columns.
+
+`ST_Area <http://postgis.org/docs/ST_Area.html>`_: retourne l'aire de la surface si c'est un polygon ou un multi-polygone. Pour le type "geometry" l'aire est dans l'unitÃ© du SRID. Pour les "geography" l'aire est en mÃštres carrÃ©s.
+
+`ST_AsText <http://postgis.org/docs/ST_AsText.html>`_: retourne la reprÃ©sentation de la geometry/geography au format Well-Known Text (WKT) sans metadonnÃ©e correspondant au SRID.
+
+`ST_AsBinary <http://postgis.org/docs/ST_AsBinary.html>`_: retourne la reprÃ©sentation de la geometry/geography au format Well-Known Binary (WKB) sans metadonnÃ©e correspondant u SRID. 
+
+`ST_EndPoint <http://postgis.org/docs/ST_EndPoint.html>`_: retourne le dernier point d'une ligne.
+
+`ST_AsEWKB <http://postgis.org/docs/ST_AsEWKB.html>`_: retourne la reprÃ©sentation de la geometrie au format Well-Known Binary (WKB) avec la mÃ©tadonnÃ©e SRID.
+
+`ST_AsEWKT <http://postgis.org/docs/ST_AsEWKT.html>`_: retourne la reprÃ©sentation de la geometrie au format Well-Known Text (WKT) avec la mÃ©tadonnÃ©e SRID.
+
+`ST_AsGeoJSON <http://postgis.org/docs/ST_AsGeoJSON.html>`_: retourne la gÃ©omÃ©tries au format GeoJSON.
+
+`ST_AsGML <http://postgis.org/docs/ST_AsGML.html>`_: retourne la gÃ©omÃ©tries au format GML version 2 ou 3.
+
+`ST_AsKML <http://postgis.org/docs/ST_AsKML.html>`_: retourne la gÃ©omÃ©tries au format KML. Nombreuses variantes. Par dÃ©faut : version=2 et precision=15.
+
+`ST_AsSVG <http://postgis.org/docs/ST_AsSVG.html>`_: retourne la gÃ©omÃ©tries au format SVG.
+
+`ST_ExteriorRing <http://postgis.org/docs/ST_ExteriorRing.html>`_: retourne une ligne reprÃ©sentant le contour extÃ©rieur du polygone. Retourne NULL si la gÃ©omÃ©trie n'est pas un polygone. Ne fonctionne pas avec les multi-polygone.
+
+`ST_GeometryN <http://postgis.org/docs/ST_GeometryN.html>`_: retourne niÃšme composante si la gÃ©omÃ©trie est du type GEOMETRYCOLLECTION, MULTIPOINT, MULTILINESTRING, MULTICURVE ou MULTIPOLYGON. Sinon, retourne NULL.
+
+`ST_GeomFromGML <http://postgis.org/docs/ST_GeomFromGML.html>`_: prend en entrÃ©e une reprÃ©sentation GML de la gÃ©omÃ©trie et retourne un object PostGIS de type geometry.
+
+`ST_GeomFromKML <http://postgis.org/docs/ST_GeomFromKML.html>`_: prend en entrÃ©e une reprÃ©sentation KML de la gÃ©omÃ©trie et retourne un object PostGIS de type geometry.
+
+`ST_GeomFromText <http://postgis.org/docs/ST_GeomFromText.html>`_: retourne une valeur de type ST_Geometry Ã  partir d'une reprÃ©sentation au format Well-Known Text (WKT).
+
+`ST_GeomFromWKB <http://postgis.org/docs/ST_GeomFromWKB.html>`_: retourne une valeur de type ST_Geometry Ã  partir d'une reprÃ©senattion au format Well-Known Binary (WKB).
+
+`ST_GeometryType <http://postgis.org/docs/ST_GeometryType.html>`_: retourne le type de gÃ©omÃ©trie de la valeur de type ST_Geometry.
+
+`ST_InteriorRingN <http://postgis.org/docs/ST_InteriorRingN.html>`_: retourne le niÃšme contour intÃ©rieur d'un polygone. Retourne NULL si la gÃ©omÃ©trie n'est pas un polygone ou si N est hors des limites.
+
+`ST_Length <http://postgis.org/docs/ST_Length.html>`_: retourne la longueur en 2-dimensions si c'est une ligne ou une multi-lignes. Les objets de type geometry sont dans l'unitÃ© du systÃšme de rÃ©fÃ©rences spatiales et les objet de type geography sont en metres (sphÃ©roÃ¯de par dÃ©faut).
+
+`ST_NDims <http://postgis.org/docs/ST_NDims.html>`_: retourne le nombre de dimensions d'une gÃ©omÃ©trie. Les valeurs possibles sont : 2,3 ou 4.
+
+`ST_NPoints <http://postgis.org/docs/ST_NPoints.html>`_: retourne le nombre de points dans une gÃ©omÃ©trie.
+
+`ST_NRings <http://postgis.org/docs/ST_NRings.html>`_: si la gÃ©omÃ©trie est un polygone ou un multi-polygone, retourne le nombre de contours.
+
+`ST_NumGeometries <http://postgis.org/docs/ST_NumGeometries.html>`_: si la gÃ©omÃ©trie est du type GEOMETRYCOLLECTION (ou MULTI*) retourne le nombre de gÃ©omÃ©tries, sinon retourne NULL.
+
+`ST_Perimeter <http://postgis.org/docs/ST_Perimeter.html>`_: retourne la longueur du contours extÃ©rieur d'une valeur de type ST_Surface ou ST_MultiSurface (polygone, multi-polygone).
+
+`ST_SRID <http://postgis.org/docs/ST_SRID.html>`_: retourne l'identifiant du systÃšme de rÃ©fÃ©rences spatiales dÃ©finit dans la table spatial_ref_sys d'un objet de type ST_Geometry.
+
+`ST_StartPoint <http://postgis.org/docs/ST_StartPoint.html>`_: retourne le premier point d'une ligne.
+
+`ST_X <http://postgis.org/docs/ST_X.html>`_: retourne la coordonnÃ©e X d'un point, ou NULL si non prÃ©sent. L'argument passÃ© doit Ãªtre un point.
+
+`ST_Y <http://postgis.org/docs/ST_Y.html>`_: retourne la coordonnÃ©e Y d'un point, ou NULL si non prÃ©sent. L'argument passÃ© doit Ãªtre un point.
+