Index: trunk/workshop-foss4g/geometries_exercises.rst
===================================================================
--- trunk/workshop-foss4g/geometries_exercises.rst	(revision 1)
+++ trunk/workshop-foss4g/geometries_exercises.rst	(revision 21)
@@ -1,41 +1,41 @@
 .. _geometries_exercises:
 
-Section 9: Geometry Exercises
-=============================
-
-Here's a reminder of all the functions we have seen so far. They should be useful for the exercises!
-
- * :command:`sum(expression)` aggregate to return a sum for a set of records
- * :command:`count(expression)` aggregate to return the size of a set of records
- * :command:`ST_GeometryType(geometry)` returns the type of the geometry
- * :command:`ST_NDims(geometry)` returns the number of dimensions of the geometry
- * :command:`ST_SRID(geometry)` returns the spatial reference identifier number of the geometry
- * :command:`ST_X(point)` returns the X ordinate
- * :command:`ST_Y(point)` returns the Y ordinate
- * :command:`ST_Length(linestring)` returns the length of the linestring
- * :command:`ST_StartPoint(geometry)` returns the first coordinate as a point
- * :command:`ST_EndPoint(geometry)` returns the last coordinate as a point
- * :command:`ST_NPoints(geometry)` returns the number of coordinates in the linestring
- * :command:`ST_Area(geometry)` returns the area of the polygons
- * :command:`ST_NRings(geometry)` returns the number of rings (usually 1, more if there are holes)
- * :command:`ST_ExteriorRing(polygon)` returns the outer ring as a linestring
- * :command:`ST_InteriorRingN(polygon, integer)` returns a specified interior ring as a linestring
- * :command:`ST_Perimeter(geometry)` returns the length of all the rings
- * :command:`ST_NumGeometries(multi/geomcollection)` returns the number of parts in the collection
- * :command:`ST_GeometryN(geometry, integer)` returns the specified part of the collection
- * :command:`ST_GeomFromText(text)` returns ``geometry``
- * :command:`ST_AsText(geometry)` returns WKT ``text``
- * :command:`ST_AsEWKT(geometry)` returns EWKT ``text``
- * :command:`ST_GeomFromWKB(bytea)` returns ``geometry``
- * :command:`ST_AsBinary(geometry)` returns WKB ``bytea``
- * :command:`ST_AsEWKB(geometry)` returns EWKB ``bytea``
- * :command:`ST_GeomFromGML(text)` returns ``geometry``
- * :command:`ST_AsGML(geometry)` returns GML ``text``
- * :command:`ST_GeomFromKML(text)` returns ``geometry``
- * :command:`ST_AsKML(geometry)` returns KML ``text``
- * :command:`ST_AsGeoJSON(geometry)` returns JSON ``text``
- * :command:`ST_AsSVG(geometry)` returns SVG ``text``
-
-Also remember the tables we have available:
+Partie 9 : exercices sur les gÃ©omÃ©tries
+======================================
+
+Voici un petit rappel de toute les fonction que nous avons jusqu'Ã  prÃ©sent. Elles devraient Ãªtre utiles pour les exercices !
+
+ * :command:`sum(expression)` agrÃ©gation retournant la somme d'un ensemble
+ * :command:`count(expression)` agrÃ©gation retournant le nombre d'Ã©lÃ©ments d'un ensemble
+ * :command:`ST_GeometryType(geometry)` retourne le type de la gÃ©omÃ©trie
+ * :command:`ST_NDims(geometry)` retourne le  nombre de dimensions
+ * :command:`ST_SRID(geometry)` retourne l'identifiant du systÃšme de rÃ©fÃ©rences spatiales
+ * :command:`ST_X(point)` retourne la coordonnÃ©e X
+ * :command:`ST_Y(point)` retourne la coordonnÃ©e Y
+ * :command:`ST_Length(linestring)` retourne la longueur d'une ligne
+ * :command:`ST_StartPoint(geometry)` retourne le premier point d'une ligne
+ * :command:`ST_EndPoint(geometry)` retourne le dernier point d'une ligne
+ * :command:`ST_NPoints(geometry)` retourne le nombre point d'une ligne
+ * :command:`ST_Area(geometry)` retourne l'aire d'un polygone
+ * :command:`ST_NRings(geometry)` retourne le nombre de contours (1 ou plus si il y a des trous)
+ * :command:`ST_ExteriorRing(polygon)` retourne le contour exterieur (ligne) d'un polygon
+ * :command:`ST_InteriorRingN(polygon, integer)` retourne le contour intÃ©rieur (ligne) d'un polygone
+ * :command:`ST_Perimeter(geometry)` retourne la longueur de tout les contours
+ * :command:`ST_NumGeometries(multi/geomcollection)` retourne le nombre de composantes dans une collection
+ * :command:`ST_GeometryN(geometry, integer)` retourne la niÃšme entitÃ© de la collection
+ * :command:`ST_GeomFromText(text)` retourne ``geometry``
+ * :command:`ST_AsText(geometry)` retourne WKT ``text``
+ * :command:`ST_AsEWKT(geometry)` retourne EWKT ``text``
+ * :command:`ST_GeomFromWKB(bytea)` retourne ``geometry``
+ * :command:`ST_AsBinary(geometry)` retourne WKB ``bytea``
+ * :command:`ST_AsEWKB(geometry)` retourne EWKB ``bytea``
+ * :command:`ST_GeomFromGML(text)` retourne ``geometry``
+ * :command:`ST_AsGML(geometry)` retourne GML ``text``
+ * :command:`ST_GeomFromKML(text)` retourne ``geometry``
+ * :command:`ST_AsKML(geometry)` retourne KML ``text``
+ * :command:`ST_AsGeoJSON(geometry)` retourne JSON ``text``
+ * :command:`ST_AsSVG(geometry)` retourne SVG ``text``
+
+Souvenez-vous aussi des tables qui sont disponibles:
 
  * ``nyc_census_blocks`` 
@@ -72,7 +72,7 @@
    .. note::
 
-      The area is given in square meters. To get an area in hectares, divide by 10000. To get an area in acres, divide by 4047.
-
- * **"What is the area of Manhattan in acres?"** (Hint: both ``nyc_census_blocks`` and ``nyc_neighborhoods`` have a ``boroname`` in them.)
+      L'aire est donnÃ©es en metres carrÃ©s. Pour obtenir l'aire en hectare, divisez par 10000. Pour obrenir l'aire en acres, divisez par 4047.
+
+ * **"Quelle est l'aire de Manhattan in acres ?"** (Astuce: ``nyc_census_blocks`` et ``nyc_neighborhoods`` on toutes deux le champ ``boroname``.)
  
    .. code-block:: sql
@@ -99,5 +99,5 @@
 
 
- * **"How many census blocks in New York City have a hole in them?"**
+ * **"Combien de bloques de la ville de New York ont des trous ?"**
  
    .. code-block:: sql
@@ -111,5 +111,5 @@
      66 
    
- * **"What is the total length of streets (in kilometers) in New York City?"** (Hint: The units of measurement of the spatial data are meters, there are 1000 meters in a kilometer.)
+ * **"Quel est la longueur totale des rues (en kilomÃštres) dans la ville de New York ?"** (Astuce: l'unitÃ© de mesure des donnÃ©es spatiales est le mÃštre, il y a 1000 mÃštres dans un kilomÃštre.)
   
     .. code-block:: sql
@@ -122,5 +122,5 @@
      10418.9047172
 
- * **"How long is 'Columbus Cir' (Columbus Circle)?**
+ * **"Quelle est la longueur de 'Columbus Cir' (Columbus Circle) ?**
  
      .. code-block:: sql
@@ -134,5 +134,5 @@
        308.34199
 
- * **"What is the JSON representation of the boundary of the 'West Village'?"**
+ * **"Quelle est le contour de 'West Village' au format JSON ?"**
  
    .. code-block:: sql
@@ -149,8 +149,8 @@
           [583263.2776595836,4509242.6260239873]]]]}
 
-The geometry type is "MultiPolygon", interesting!
+La gÃ©omÃ©trie de type "MultiPolygon", interressant !
    
       
- * **"How many polygons are in the 'West Village' multipolygon?"**
+ * **"Combien de polygones sont dans le multi-polygone 'West Village' ?"**
  
    .. code-block:: sql
@@ -166,8 +166,8 @@
    .. note::
    
-      It is not uncommon to find single-element MultiPolygons in spatial tables. Using MultiPolygons allows a table with only one geometry type to store both single- and multi-geometries without using mixed types.
-       
-       
- * **"What is the length of streets in New York City, summarized by type?"**
+      Il n'est pas rare de trouver des Ã©lÃ©ments de type multi-polygone ne contenant qu'un seul polygone dans des tables. L'utilisation du type multi-polygone permet d'utiliser une seule table pour y stoquer des gÃ©omÃ©tries simples et multiples sans mÃ©langer les types.
+       
+       
+ * **"Quel est la longueur des rues de la ville de New York, suivant leur type ?"**
  
    .. code-block:: sql
@@ -207,5 +207,5 @@
    .. note::
 
-      The ``ORDER BY length DESC`` clause sorts the result by length in descending order. The result is that most prevalent types are first in the list.
+      La clause ``ORDER BY length DESC`` ordonne le rÃ©sultats par la valeurs des longueur dans l'ordre dÃ©croissant. Le rÃ©sultat avec la plus grande valeur se retrouve au dÃ©but la liste de rÃ©sultats.
 
  