Index: trunk/workshop-foss4g/joins_exercises.rst
===================================================================
--- trunk/workshop-foss4g/joins_exercises.rst	(revision 1)
+++ trunk/workshop-foss4g/joins_exercises.rst	(revision 23)
@@ -1,23 +1,23 @@
 .. _joins_exercises:
 
-Section 13: Spatial Joins Exercises
-===================================
+Partie 13 : exercice jointures spatial
+=======================================
 
-Here's a reminder of some of the functions we have seen.  Hint: they should be useful for the exercises!
+Voici un petit rappel de certaines de fonctions. Astuce: elles pourraient Ãªtre utiles pour les exercices !
 
-* :command:`sum(expression)`: aggregate to return a sum for a set of records
-* :command:`count(expression)`: aggregate to return the size of a set of records
+ * :command:`sum(expression)` agrÃ©gation retournant la somme d'un ensemble
+ * :command:`count(expression)` agrÃ©gation retournant le nombre d'Ã©lÃ©ments d'un ensemble
 * :command:`ST_Area(geometry)` returns the area of the polygons
 * :command:`ST_AsText(geometry)` returns WKT ``text``
-* :command:`ST_Contains(geometry A, geometry B)` returns the true if geometry A contains geometry B 
-* :command:`ST_Distance(geometry A, geometry B)` returns the minimum distance between geometry A and geometry B
-* :command:`ST_DWithin(geometry A, geometry B, radius)` returns the true if geometry A is radius distance or less from geometry B
+* :command:`ST_Contains(geometry A, geometry B)` retourne vrai si la gÃ©omÃ©trie A contient la gÃ©omÃ©trie B 
+* :command:`ST_Distance(geometry A, geometry B)` retourne la distance minimum entre deux gÃ©omÃ©tries
+* :command:`ST_DWithin(geometry A, geometry B, radius)` retourne vrai si la A est distante d'au plus radius de B
 * :command:`ST_GeomFromText(text)` returns ``geometry``
 * :command:`ST_Intersects(geometry A, geometry B)` returns the true if geometry A intersects geometry B
 * :command:`ST_Length(linestring)` returns the length of the linestring
-* :command:`ST_Touches(geometry A, geometry B)` returns the true if the boundary of geometry A touches geometry B
-* :command:`ST_Within(geometry A, geometry B)` returns the true if geometry A is within geometry B
- 
-Also remember the tables we have available:
+* :command:`ST_Touches(geometry A, geometry B)` retourne vrai si le contour extÃ©rieur de A touche B
+* :command:`ST_Within(geometry A, geometry B)` retourne vrai si A est hors de B
+
+Souvenez-vous des tables Ã  notre disposition : 
 
  * ``nyc_census_blocks`` 
@@ -37,8 +37,8 @@
    * name, boroname, the_geom
 
-Exercises
+Exercices
 ---------
 
- * **"What subway station is in 'Little Italy'? What subway route is it on?"**
+ * **"Quelle station de mÃ©tros se situe dans le quartier 'Little Italy' ? Quelle est l'itinÃ©raire de mÃ©tros Ã  emprunter ?"**
  
    .. code-block:: sql
@@ -56,5 +56,5 @@
      Spring St | 6
      
- * **"What are all the neighborhoods served by the 6-train?"** (Hint: The ``routes`` column in the ``nyc_subway_stations`` table has values like 'B,D,6,V' and 'C,6')
+ * **"Quels sont les quartiers desservis pas le train numÃ©ro 6 ?"** (Astuce: la colonnes ``routes`` de la table ``nyc_subway_stations`` on les valeurs suivante 'B,D,6,V' et 'C,6')
  
    .. code-block:: sql
@@ -88,7 +88,6 @@
    .. note::
   
-     We used the ``DISTINCT`` keyword to remove duplicate values from our result set where there were more than one subway station in a neighborhood.
-    
- * **"After 9/11, the 'Battery Park' neighborhood was off limits for several days. How many people had to be evacuated?"**
+     Nous avons utilisÃ© le mot clef ``DISTINCT`` pour supprimer les rÃ©pÃ©titions dans notre ensemble derÃ©sultats oÃ¹ il y avait plus d'une seule station de mÃ©tros dans le quartier.    
+ * **"AprÃšs le 11 septembre, le quartier de 'Battery Park' Ã©tait interdit d'accÃšs pendant plusieurs jours. Combien de personnes ont dÃ»t Ãªtre Ã©vacuÃ©s ?"**
  
    .. code-block:: sql
@@ -104,5 +103,5 @@
      9928
     
- * **"What are the population density (people / km^2) of the 'Upper West Side' and 'Upper East Side'?"** (Hint: There are 1000000 m^2 in one km^2.)
+ * **"Quelle est la densitÃ© de population (personne / km^2) des quartier de 'Upper West Side' et de 'Upper East Side' ?"** (Astuce: il y a 1000000 m^2 dans un km^2.)
  
    .. code-block:: sql