Index: /trunk/workshop-foss4g/projection.rst
===================================================================
--- /trunk/workshop-foss4g/projection.rst	(revision 26)
+++ /trunk/workshop-foss4g/projection.rst	(revision 27)
@@ -1,12 +1,12 @@
 .. _projection:
 
-Section 15: Projecting Data
-===========================
+Partie 15 : Projections des donnÃ©es
+===================================
 
-The earth is not flat, and there is no simple way of putting it down on a flat paper map (or computer screen), so people have come up with all sorts of ingenious solutions, each with pros and cons. Some projections preserve area, so all objects have a relative size to each other; other projections preserve angles (conformal) like the Mercator projection; some projections try to find a good intermediate mix with only little distortion on several parameters. Common to all projections is that they transform the (spherical) world onto a flat cartesian coordinate system, and which projection to choose depends on how you will be using the data.
+La Terre n'est pas plÃ¢te et il n'y a pas de moyen simple de la poser Ã  plat sur une carte en papier (ou l'Ã©cran d'un ordinateur), donc les gens en sont  arriver Ã  fournir des solutions ingÃ©nieuses, chacunes avec des bons et des mauvais cotÃ©s. Certaines projections prÃ©servent les aires, donc tout les objets ont des tailles relatives aux autres, d'autre projections conservent les angles (conformes) comme la projection Mercator, certaines projections tentent de minimiser la distorsion des diffÃ©rents paramÃštres. Le point commun entre toutes les projections est qu'elles transforment le monde (sphÃ©rique) en un systÃšme plat de coordonnÃ©es cartÃ©siennes, et le choix de la projection dÃ©pend de ce que vous souhaitez faire avec vos donnÃ©es.
 
-We've already encountered projections when we :ref:`loaded our nyc data <loading_data>`.  (Recall that pesky SRID 26918).  Sometimes, however, you need to transform and re-project between spatial reference systems. PostGIS includes built-in support for changing the projection of data, using the :command:`ST_Transform(geometry, srid)` function. For managing the spatial reference identifiers on geometries, PostGIS provides the :command:`ST_SRID(geometry)` and :command:`ST_SetSRID(geometry, srid)` functions.
+Nous avonsdÃ©jÃ  recontrer des projections, lorsque nous avons charger les donnÃ©es` de la ville de Ney York <loading_data>`.Rappelez-vous qu'elles utilisaient le SRID 26918. Parfois, malgrÃšs tout, vous aurez besoin de transformer et de reprojeter vos donnÃ©es d'un systÃšme de projection Ã  l'autre, en utilisant la fonction  :command:`ST_Transform(geometry, srid)`. Pour manipuler les identifiant de systÃšmes de rÃ©fÃ©rences spatiales Ã  partir d'une gÃ©omÃ©trie, PostGIS fournit les fonctions :command:`ST_SRID(geometry)` et :command:`ST_SetSRID(geometry, srid)`.
 
-We can confirm the SRID of our data with the :command:`ST_SRID` command:
+Nous pouvons vÃ©rifier le SRID de nos donnÃ©es avec la commande :command:`ST_SRID` :
 
 .. code-block:: sql
@@ -18,11 +18,10 @@
   26918
   
-And what is definition of "26918"? As we saw in ":ref:`loading data section <loading_data>`", the definition is contained in the ``spatial_ref_sys`` table. In fact, **two** definitions are there. The "well-known text" (:term:`WKT`) definition is in the ``srtext`` column, and there is a second definition in "proj.4" format in the ``proj4text`` column.
-
+Et quelle est la dÃ©finition du "26918" ? Comme nous l'avons vu lors de la partie ":ref:`chargement des donnÃ©es  <loading_data>`", la dÃ©finition se trouve dans la table ``spatial_ref_sys``. En fait, **deux** dÃ©finitions sont prÃ©sentes. La dÃ©finition au fromat :term:`WKT` dans la colonne ``srtext`` et il y a aussu une seconde dÃ©finition correspondant au 
 .. code-block:: sql
 
    SELECT * FROM spatial_ref_sys WHERE srid = 26918;
    
-In fact, for the internal PostGIS re-projection calculations, it is the contents of the ``proj4text`` column that are used. For our 26918 projection, here is the proj.4 text:
+En fait, pour les calculs internes de re-projection, c'est le contenu de la colonne ``proj4text`` qui est utilisÃ©. Pour notre projection 26918, voici la dÃ©finition au format proj.4 :
 
 .. code-block:: sql
@@ -34,12 +33,12 @@
   +proj=utm +zone=18 +ellps=GRS80 +datum=NAD83 +units=m +no_defs 
   
-In practice, both the ``srtext`` and the ``proj4text`` columns are important: the ``srtext`` column is used by external programs like `GeoServer <http://geoserver.org>`_, `uDig <udig.refractions.net>`_, and `FME <http://www.safe.com/>`_  and others; the ``proj4text`` column is used internally.
+En pratique, Ã  les deux colonnes ``srtext`` et ``proj4text`` sont importantes : la colonne ``srtext`` est utilisÃ©e par les applications externes comme `GeoServer <http://geoserver.org>`_, uDig <udig.refractions.net>`_, `FME <http://www.safe.com/>`_  et les autres alors que la colonne ``proj4text`` est principalement utilisÃ©e en interne.
 
-Comparing Data
---------------
+Comparaison de donnÃ©es
+----------------------
 
-Taken together, a coordinate and an SRID define a location on the globe. Without an SRID, a coordinate is just an abstract notion. A âCartesianâ coordinate plane is defined as a âflatâ coordinate system placed on the surface of Earth. Because PostGIS functions work on such a plane, comparison operations require that both geometries be represented in the same SRID.
+CombinÃ©, une coordonnÃ©e et un SRID dÃ©finissent une position sur le globe. Sans le SRID, une coordonnÃ©e est juste une notion abstraite. Un systÃšme de coordonnÃ©es "cartÃ©siennes" est dÃ©finit comme un systÃšme de coordonnÃ©es "plat" sur la surface de la Terre. Puisque les fonctions de PostGIS utilisent cette surface plane, les opÃ©rations de comparaison nÃ©cessitent que l'ensemble des objets gÃ©omÃ©triques soient reprÃ©sentÃ© dans le mÃªme systÃšme, ayant le mÃªme SRID.
 
-If you feed in geometries with differing SRIDs you will just get an error:
+Si vous utilisÃ© des gÃ©omÃ©tries avec diffÃ©rents SRID vous obtiendrez une erreur du genre :
 
 .. code-block:: sql
@@ -58,11 +57,11 @@
 .. note::
 
-   Be careful of getting too happy with using :command:`ST_Transform` for on-the-fly conversion. Spatial indexes are built using SRID of the stored geometries.  If comparison are done in a different SRID, spatial indexes are (often) not used. It is best practice to choose **one SRID** for all the tables in your database. Only use the transformation function when you are reading or writing data to external applications.
+   Faites attention de pas utiliser la transformation Ã  la volÃ©e Ã  l'aide de :command:`ST_Transform` trpop souvent. Les indexes spatiaux sont construits en utilisant le SRID inclu dans les gÃ©omÃ©tries. Si la comparaison est faite avec un SRID diffÃ©rent, les indexes spatiaux ne seront pas (la plupart du temps) utilisÃ©s. Il est reconnu qu'il vaut mieux choisir **un SRID** pour toutes les tables de votre base de donnÃ©es. N'utilisez la fonction de tranformation que lorsque vous lisez ou Ã©crivez les donnÃ©es depuis une applications externe.
 
 
-Transforming Data
------------------
+Transformer les donnÃ©es
+-----------------------
 
-If we return to our proj4 definition for SRID 26918, we can see that our working projection is UTM (Universal Transverse Mercator) of zone 18, with meters as the unit of measurement.
+Si vous retournez Ã  la dÃ©finition au format proj4 du SRID 26918, vous pouvez voir que notre projectioin actuelle est de type UTM zone 18 (Universal Transvers Mercator), avec comme unitÃ© de mesure le mÃštre.
 
 ::
@@ -70,13 +69,13 @@
    +proj=utm +zone=18 +ellps=GRS80 +datum=NAD83 +units=m +no_defs 
 
-Let's convert some data from our working projection to geographic coordinates -- also known as "longitude/latitude". 
+Essayons de convertir certaines donnÃ©es de notre systÃšme de projection dans un systÃšme de coordonnÃ©es gÃ©ographiques, aussi connu comme "longitude/latitude".
 
-To convert data from one SRID to another, you must first verify that your geometry has a valid SRID. Since we have already confirmed a valid SRID, we next need the SRID of the projection to transform into. In other words, what is the SRID of geographic coordinates?
+Pour convertir les donnÃ©es d'un SRID Ã  l'autre, nous devons dans un premier temps vÃ©rifier que nos gÃ©omÃ©tries ont un SRID valide. une fois que nous avons vÃ©rifiÃ© ceci, nous devons ensuite trouver le SRID dans le lequel nous souhaitons re-projeter. En d'autre terme, quel est le SRID des coordonnÃ©es gÃ©ographiques ?
 
-The most common SRID for geographic coordinates is 4326, which corresponds to "longitude/latitude on the WGS84 spheroid". You can see the definition at the spatialreference.org site:
+Le SRID le plus connu pour les coordonnÃ©es gÃ©ographiques est le 4326, qui correspond au couple "longitude/latitude sur la sphÃ©roÃ¯de WGS84". Vous pouvez voir sa dÃ©finition sur le site spatialreference.org.
 
   http://spatialreference.org/ref/epsg/4326/
   
-You can also pull the definitions from the ``spatial_ref_sys`` table:
+Vous pouvez aussi rÃ©cupÃ©rer les dÃ©finitions dans la table  ``spatial_ref_sys`` :
 
 .. code-block:: sql
@@ -94,5 +93,5 @@
     AUTHORITY["EPSG","4326"]]
 
-Let's convert the coordinates of the 'Broad St' subway station into geographics:
+Essayons de convertir les cordonnÃ©es de la station 'Broad St' :
 
 .. code-block:: sql
@@ -106,7 +105,7 @@
   POINT(-74.0106714688735 40.7071048155841)
 
-If you load data or create a new geometry without specifying an SRID, the SRID value will be -1.  Recall in :ref:`geometries`, that when we created our ``geoemetries`` table we didn't specify an SRID. If we query our database, we should expect all the ``nyc_`` tables to have an SRID of 26918, while  the ``geometries`` table defaulted to an SRID of -1.
+Si vous chargez les donnÃ©es ou crÃ©Ã©ez une nouvelle gÃ©omÃ©trie sans spÃ©cifier un SRID, la valeur du SRID prendra alors la valeur -1. Rapellez-vous que dans les :ref:`geometries`, lorsque nous avons crÃ©Ã© nos tables gÃ©omÃ©triques nous n'avions pas spÃ©cifiÃ© un SRID. Si nous interrogeons la base, nous devons nous attendre Ã  ce que toutes les tables prÃ©fixÃ©es par ``nyc_`` aient le SRID 26918, alors que la table ``geometries`` aura la valeur -1 par dÃ©faut.
 
-To view a table's SRID assignment, query the database's ``geometry_columns`` table.
+Pour visualiser la table d'assignation des SRID, interroger la table ``geometry_columns`` de la base de donnÃ©es.
 
 .. code-block:: sql
@@ -126,5 +125,5 @@
 
   
-However, if you know what the SRID of the coordinates is supposed to be, you can set it post-facto, using :command:`ST_SetSRID` on the geometry. Then you will be able to transform the geometry into other systems.
+Neanmoins, si vous connaissez quel est le SRID de vos donnÃ©es, vous pouvez l'affecter par la suite, en utilisant la fonction :command:`ST_SetSRID` sur les gÃ©omÃ©tries. Ensuite vous pourrez les tranformer dans d'autres systÃšmes de projections.
 
 .. code-block:: sql
@@ -137,11 +136,12 @@
    FROM geometries;
 
-Function List
--------------
-`ST_AsText <http://postgis.org/docs/ST_AsText.html>`_: Returns the Well-Known Text (WKT) representation of the geometry/geography without SRID metadata.
+Liste des fonctions
+-------------------
 
-`ST_SetSRID(geometry, srid) <http://postgis.org/docs/ST_SetSRID.html>`_: Sets the SRID on a geometry to a particular integer value.
+`ST_AsText <http://postgis.org/docs/ST_AsText.html>`_: retourne la reprÃ©sentation au format Well-Known Text (WKT) sans la mÃ©tadonnÃ©e SRID.
 
-`ST_SRID(geometry) <http://postgis.org/docs/ST_SRID.html>`_: Returns the spatial reference identifier for the ST_Geometry as defined in spatial_ref_sys table.
+`ST_SetSRID(geometry, srid) <http://postgis.org/docs/ST_SetSRID.html>`_: affecte une valeur au SRID d'une gÃ©omÃ©trie.
 
-`ST_Transform(geometry, srid) <http://postgis.org/docs/ST_Transform.html>`_: Returns a new geometry with its coordinates transformed to the SRID referenced by the integer parameter.
+`ST_SRID(geometry) <http://postgis.org/docs/ST_SRID.html>`_: retourne l'indentifiant du systÃšme de rÃ©fÃ©rences spatialesd'un objet ST_Geometry comme dÃ©finit dans la table spatial_ref_sys.
+
+`ST_Transform(geometry, srid) <http://postgis.org/docs/ST_Transform.html>`_: retourne une nouvelle gÃ©omÃ©trie aprÃšs avoi re-projetÃ©  les donnÃ©es dans le systÃšme correspondant au SRID passÃ© en paramÃštre.